[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TTaskDialogButtonsEnumerator.Create

Constructor for the class instance.

## Declaration

Source position: dialogs.pp line 654

`public constructor TTaskDialogButtonsEnumerator.Create(`
`ACollection: TTaskDialogButtons`
`);`

## Arguments

`ACollection` |  | Collection which owns the buttons for the enumerator.

## Description

Sets the internal position for the enumerator to -1 to indicate that a button is not available. Use MoveNext to position the enumerator at the first button in the collection.

## See also

TTaskDialogButtonsEnumerator.MoveNext |  | Positions the enumerator on the next button in the collection.